# Standard_Persistent_proto.hxx File Reference

`#include <Standard_Macro.hxx>`
`#include <Standard_PrimitiveTypes.hxx>`
`#include <Standard.hxx>`
`#include <Handle_Standard_Persistent.hxx>`

## Data Structures

class | Standard_Persistent

## Functions

class class class class Standard_EXPORT Standard_Address | StandardCSFDB_Allocate (const Standard_Size)
Standard_EXPORT void | StandardCSFDB_Free (Standard_Address &)
Standard_EXPORT Handle_Standard_Type & | Standard_Persistent_Type_ ()

## Function Documentation

Standard_EXPORT Handle_Standard_Type& Standard_Persistent_Type_ | ( |  | ) |

class class class class class Standard_EXPORT Standard_Address StandardCSFDB_Allocate | ( | const | Standard_Size | ) |

Standard_EXPORT void StandardCSFDB_Free | ( | Standard_Address & |  | ) |